1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Help complete newbie :(

Discussion in 'Sony Handhelds' started by vikki1982, Jun 1, 2007.

  1. vikki1982

    vikki1982 Member

    Joined:
    Jun 1, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    I really hope someone can help me here I have a white psp jap version and want to be able to play download games from the memory stick as well as the snes games.

    I have been told about firmware and emulators but have no idea what they are or how to get them, the psp came with 8 disks of games but if i try to put them onto the psp it tells me they are corrupt :(

    I am not good with things like this so if anyone can help me with a dummies guide that would be great.

    Vikki x
     
  2. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    Do you mean you can play games off of your memory stick, but not your umd? First of, are then game umd or movie? Because there is a region restriction on umd movies. Second, I assume you have to standard OE firmware, and you might have NO-UMD enabled. Turn off your psp completely, then turn it on holding R. The recovery menu will be turned on, disable the NO-UMD option if it's enabled.
     
  3. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    in your xmb menu (psp menu) go to System Settings -> System Information and see which firmware do you have
    and where are you putting the isos you need to create a ISO folder (with capitals) in the root of the memory stick to put the isos
     
  4. vikki1982

    vikki1982 Member

    Joined:
    Jun 1, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    It is running on 3.5 whatever that means?, basically I want to be able to play things like the old mario games onto it but haven't got a clue what programes I need in order to get started.
    Any help will be great as i'm quickly loosing interest :(
     
  5. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    if you have sony official firmware 3.5 you can't play any downloaded games or snes games or use any homebrew

    to play isos from the memory stick you need to have sony official firmware 1.5 or one of dark alex custom firmware 3.03 OE(open edition) , 3.10 OE, 3.30 OE,or 3.40 OE, and the first time that you install one of this custom firmware you need to do it from 1.5

    at the moment the highest firmware that it's possible to downgrade to 1.5 its sony official firmware 3.03
     
    Last edited: Jun 2, 2007
  6. mrmcman

    mrmcman Guest

    wow. well said
     

Share This Page